# -*- coding: utf-8 -*-
#
# Cookbook Name:: pentester
# Recipe:: msf_db
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

msf_db = node['pentester']['msf']['db'].dup
if node['pentester']['msf']['use_db']
  item = data_bag_item(node['pentester']['databag_name'],
                       node['pentester']['databag_items']['msf'])
  msf_db.merge!(item['db'])
end

include_recipe 'database::postgresql'

postgresql_connection_info = {
  host: node['pentester']['db']['host'],
  port: node['pentester']['db']['port'],
  username: node['pentester']['db']['username'],
  password: node['pentester']['db']['password']
}

postgresql_database_user msf_db['user'] do
  connection postgresql_connection_info
  password msf_db['pass']
  action :create
end

postgresql_database msf_db['db'] do
  connection postgresql_connection_info
  owner msf_db['user']
  action :create
end
